SeExpr

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
ExprLineEdit Class Reference

Line Editor Widget(used for numbers) More...

`#include <ExprControl.h>`

Inheritance diagram for ExprLineEdit:

## Signals
void | textChanged (int id, const QString &text)

## Public Member Functions
| ExprLineEdit (int id, QWidget *parent)
virtual void | setText (const QString &t)

## Private Slots
void | textChangedCB (const QString &text)

## Private Attributes
int | _id
bool | _signaling

## Detailed Description

Line Editor Widget(used for numbers)

Definition at line 104 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ ExprLineEdit()

ExprLineEdit::ExprLineEdit | ( | int | id,
|  | QWidget * | parent
| ) |  |

Definition at line 61 of file ExprEditor.cpp.

References textChanged(), and textChangedCB().

## Member Function Documentation

## ◆ setText()

virtual void ExprLineEdit::setText | ( | const QString & | t | ) |
| inline virtual

Definition at line 108 of file ExprControl.h.

References _signaling.

Referenced by NumberControl::updateControl().

## ◆ textChanged

void ExprLineEdit::textChanged | ( | int | id,
|  | const QString & | text
| ) |  |
| signal

Referenced by ExprLineEdit(), and textChangedCB().

## ◆ textChangedCB

void ExprLineEdit::textChangedCB | ( | const QString & | text | ) |
| private slot

Definition at line 65 of file ExprEditor.cpp.

References _id, _signaling, and textChanged().

Referenced by ExprLineEdit().

## Member Data Documentation

## ◆ _id

int ExprLineEdit::_id
| private

Definition at line 121 of file ExprControl.h.

Referenced by textChangedCB().

## ◆ _signaling

bool ExprLineEdit::_signaling
| private

Definition at line 122 of file ExprControl.h.

Referenced by setText(), and textChangedCB().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprEditor.cpp